//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicAttributes.h>

@class PTDiffusionProtocolBufferTopicUpdateMode;

NS_ASSUME_NONNULL_BEGIN

/**
 The default deletion value used if none is explicitly specified.

 @deprecated Since 5.9. Support for Google Protocol Buffer topics will be
 removed in a future release as Binary topics can be used to distribute
 protocol buffer messages.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
extern NSString *const PTDiffusionProtocolBufferTopicAttributesDefaultDeletionValue;

/**
 @brief Attributes specific to protocol buffer topics.
 
 @deprecated Since 5.9. Support for Google Protocol Buffer topics will be
 removed in a future release as Binary topics can be used to distribute
 protocol buffer messages.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionProtocolBufferTopicAttributes : PTDiffusionTopicAttributes

/**
 The update mode.

 @since 5.7
 */
@property(nonatomic, readonly) PTDiffusionProtocolBufferTopicUpdateMode* updateMode;

/**
 The deletion value.

 @since 5.7
 */
@property(nonatomic, readonly) NSString* deletionValue;

/**
 Compares the receiver to the given protocol buffer topic attributes.

 @param protocolBufferTopicAttributes The protocol buffer topic attributes object with which to compare the receiver.

 @return `YES` if the protocol buffer topic attributes is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToProtocolBufferTopicAttributes:(nullable PTDiffusionProtocolBufferTopicAttributes *)protocolBufferTopicAttributes;

@end

NS_ASSUME_NONNULL_END
