//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicAttributes.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Attributes specific to service topics.

 @note The capability to retrieve topic attributes for service topics is provided
 for legacy purposes only as they have been deprecated since 5.7. They cannot
 be created using this client library.

 @deprecated Since 5.9.2. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionServiceTopicAttributes : PTDiffusionTopicAttributes

/**
 The service type.

 @since 5.7
 */
@property(nonatomic, readonly) NSString* serviceType;

/**
 The service handler class name or a zero length string if services requests are
 to be delegated to a client (not currently supported).

 @since 5.7
 */
@property(nonatomic, readonly) NSString* handler;

/**
 The service request timeout.

 @since 5.7
 */
@property(nonatomic, readonly) NSUInteger requestTimeout;

/**
 Compares the receiver to the given service topic attributes.

 @param serviceTopicAttributes The service topic attributes object with which to compare the receiver.

 @return `YES` if the service topic attributes is equal to the receiver, otherwise `NO`.
 
 @since 5.7
 */
-(BOOL)isEqualToServiceTopicAttributes:(nullable PTDiffusionServiceTopicAttributes *)serviceTopicAttributes;

@end

NS_ASSUME_NONNULL_END
